Subject: RE: [Sipping] Questions regarding the draft-ietf-sipping-realtimefax-00.txt

From: "Jean-Francois Mule" <[email-masked]>
Date: Fri, 28 Feb 2003 20:01:05 -0700

Hi Louis,

Sorry for the very late response, better later than never as they say...
Good catch. See inline, this will be reflected in an upcoming update.

Any objections to the understanding below?
Jean-Francois.
> -----Original Message-----
> From: Louis Guindon [mailto:[email-masked]] 
> Sent: Thursday, August 29, 2002 1:59 PM
> To: [email-masked]'
> Subject: [Sipping] Questions regarding the 
> draft-ietf-sipping-realtimefax-00.txt
> 
> 
> Hi,
> 
> I have question regarding the format of a att-field in the 
> SDP packet. In all examplesin the 
> draft-ietf-sipping-realtimefax-00.txt, we see
>       a=T38FaxFillBitRemoval:0 
>       a=T38FaxTranscodingMMR:0 
>       a=T38FaxTranscodingJBIG:0
> 
> In the section D.2.3 of ITU-T Rec. T.38 (04/2002) for 
> capabilities negotiation, it's stated that"Note that options 
> without values are boolean - their presence indicates that 
> they are valid for the session". This means that 
> "T38FaxFillBitRemoval", "T38FaxTranscodingMMR" and 
> "T38FaxTranscodingJBIG" are considered boolean.
> 
> Only the present of T38FaxFillBitRemoval attribute without 
> value should be enough to determine if it's valid or not for 
> the session if I consider the RFC2327 (April 1998, page 18). 
> 
> Question: Why are we seeing the ":0" at the end? 
> 
> Can anyone confirm the following syntax for a SDP packet?
>       a=T38FaxFillBitRemoval                 <== Means valid 
> for the session
> or incorrect syntax?
This is the only correct option based on my reading of the latest T.38 recommendation (from 3/2002). Therefore, I have removed the media attribute lines for "T38FaxFillBitRemoval", "T38FaxTranscodingMMR" and "T38FaxTranscodingJBIG".

>       a=T38FaxFillBitRemoval:0              <== Means 
> invalid/valid for the
> session?
Incorrect syntax. But given some implementations, I'd recommend that implementaitons be flexible when receiving this media line attribute (if : is present, then get the boolean value)...

>       a=T38FaxFillBitRemoval:1              <== Means valid 
> for the session
> or incorrect syntax?
Incorrect syntax.

> 
> Regards,
> 
> > Louis Guindon
> > Software Design Engineer
> > Mediatrix Telecom, Inc.
> > [email-masked]
> > Tel :  819-829-8749 ext. 242
> > Fax : 819-829-1973
> > 4229, Garlock Street
> > Sherbrooke, Qc J1L 2C8
> > 
> > This message and its attachment(s) contain protected 
> proprietary and 
> > confidential information of Mediatrix.  It is intended 
> solely for the 
> > named addressee(s).  If you are not an addressee indicated in this 
> > message (or responsible for delivery of the message to an 
> addressee), 
> > you may not copy or deliver this message or its attachment(s) to 
> > anyone.  Rather, you should permanently delete this message and its 
> > attachment(s) and kindly notify the sender by email.  No 
> warranty is 
> > made that the email or
> > attachment(s) are free from computer virus or other defect.
> > 
> > Ce message et son(ses) fichier(s) adjoint(s) peuvent contenir de 
> > l'information légale privilégiée ou confidentielle de 
> Mediatrix.  Il 
> > est destiné exclusivement au(x) destinataire(s) 
> identifié(s).  Si vous 
> > n'êtes pas un destinataire indiqué dans ce message (ou 
> responsable de 
> > la livraison du message au destinataire), vous ne pouvez copier ou 
> > livrer ce message ou son(ses) fichier(s) adjoint(s) à 
> quiconque.  Vous 
> > devriez plutôt effacer de façon permanente ce message et son(ses) 
> > fichier(s)
> > adjoint(s) et aimablement en avertir l'expéditeur par 
> courriel.  Aucune
> > garantie n'est donnée que ce courriel ou son(ses) 
> fichier(s) adjoint(s) ne
> > contiennent pas de virus informatique ou autre défectuosité.
> > 
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP